, cheong wrote

*snip*

Humm... go tell people who own iPhone 4S they won't be able to upgrade to iOS 6, and hear what they'd say.

A year ago Apple introduced Siri in iOS 5.0, which wasn't going to be compatible with their just-released iPad 2 or the iPhone 4.

Apple could have called that version "iOS 4.8", and reserved the term "iOS 5.0" for the iPhone 4S.    But they didn't.  Microsoft is at least being truthful in saying that the OS is not the same for older devices as newer ones.